function w = mpMult(u, v)
% Multipliesthe unsigned radix 256 integer u(1:m) and v(1:n) 
% yielding the unsigned integer w(1:m+n)
m = length(u);
n = length(v);
w = zeros(1,m+1,'uint8');
for j=n:-1:1
  temp = mpShortMult(double(u),double(v(j)));
  w = mpAdd(w,temp);
  u = mpLeftShift([0,u]);
end
w = mpMov(w(2:end));
